package com.jscape.inet.ssh.protocol.v2.messages;

/**
 * @author Alex Usun
 */
public class TerminalMode {

    public final int opcode;
    public final int value;

    public TerminalMode(int opcode, int value) {
        this.opcode = opcode;
        this.value = value;
    }

    public TerminalMode(Opcode opcode, int value) {
        this(opcode.code, value);
    }

    @Override
    public String toString() {
        return "TerminalMode {"
                + "opcode=" + this.opcode
                + ", value=" + this.value
                + '}';
    }
}
